package com.rjconsultores.ventaboletos.rest;

import java.util.List;

import javax.annotation.security.RolesAllowed;
import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

import com.rjconsultores.ventaboletos.rest.bean.ParamsSincronizarUsuarios;
import com.rjconsultores.ventaboletos.rest.service.SincronizarUsuariosControleEmbarqueService;
import com.rjconsultores.ventaboletos.vo.embarcada.UsuarioEmbarcadaVO;
import com.rjconsultores.ventaboletos.web.utilerias.spring.AppContext;

@Path("/sincronizarUsuariosControleEmbarque")
public class SincronizarUsuariosControleEmbarque {

	@POST
	@Consumes({ MediaType.APPLICATION_JSON })
	@RolesAllowed("EMBARCADA")
	@Produces({ MediaType.APPLICATION_JSON })
	public List<UsuarioEmbarcadaVO> buscarUsuariosControleEmbarque(ParamsSincronizarUsuarios params) {
		SincronizarUsuariosControleEmbarqueService service = (SincronizarUsuariosControleEmbarqueService) AppContext.getApplicationContext().getBean("sincronizarUsuariosControleEmbarqueService");
		return service.buscarUsuariosControleEmbarque(params);
	}

}
